Package io.dapr.client.domain.query.filters

# Class Filter<T>

java.lang.Object
io.dapr.client.domain.query.filters.Filter<T>

Direct Known Subclasses:
  `AndFilter`, `EqFilter`, `InFilter`, `OrFilter`

public abstract class Filter<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`Filter(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`abstract String`
`getRepresentation()`
`abstract Boolean`
`isValid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Filter

public Filter(String name)

## Method Details

### getName

public String getName()

### getRepresentation

public abstract String getRepresentation()

### isValid

public abstract Boolean isValid()